Package edu.msu.cme.rdp.classifier.train.validation.distance

## Class CompareTrainingSets

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.distance.CompareTrainingSets

    public class CompareTrainingSets
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `CompareTrainingSets.HierarchyTreeExtend`

### Constructor Summary

Constructors
`CompareTrainingSets​(java.lang.String rankFile, java.lang.String[] files)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `compare​(java.lang.String summaryOutFile, java.lang.String detailOutFile)`
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompareTrainingSets

    public CompareTrainingSets​(java.lang.String rankFile,
                               java.lang.String[] files)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### compare

    public void compare​(java.lang.String summaryOutFile,
                        java.lang.String detailOutFile)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### main

    public static void main​(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`